#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Passwd
%define	pnam	Linux
Summary:	Passwd::Linux - Perl module for manipulating the passwd and shadow files
Summary(pl.UTF-8):	Passwd::Linux - Moduł Perla do manipulowania plikami passwd i shadow
Name:		perl-Passwd-Linux
Version:	0.70
Release:	5
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/E/EE/EESTABROO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f7901ab4706366d8cb9c8fd43e167072
URL:		http://search.cpan.org/dist/Passwd-Linux/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Passwd::Linux provides additional password routines. It augments the
getpw* functions with setpwinfo, modpwinfo, rmpwnam, mgetpwnam. You
need to run most of the functions as root or as someone who has
permission to modify the shadow file.

%description -l pl.UTF-8
Passwd::Linux dostarcza dodatkowych metod obsługi haseł. Powiększa
funkcje getpw* o setpwinfo, modpwinfo, rmpwnam, mgetpwnam. Większość
tych funkcji musi być uruchomiona z uprawnieniami roota lub osoby
mającej uprawnienia do modyfikacji pliku shadow.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Passwd/Linux/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Passwd
%{perl_vendorarch}/Passwd/*.pm
%dir %{perl_vendorarch}/auto/Passwd
%dir %{perl_vendorarch}/auto/Passwd/Linux
%{perl_vendorarch}/auto/Passwd/Linux/*.bs
%{perl_vendorarch}/auto/Passwd/Linux/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Passwd/Linux/*.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Passwd-Linux.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3a59ddd
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a9b807
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fb33b1
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 0ff7427
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9de4d28
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 43d5f7a
- converted to UTF-8

* Fri Dec 30 2005 Elan Ruusamäe <glen@pld-linux.org> 25b8db6
- fix missing dirs; rel 2

* Mon Jan 03 2005 Jakub Bogusz <qboosh@pld-linux.org> bd9c0fe
- typo, URL

* Fri Dec 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 0c680a2
- better Source0 url

* Fri Dec 31 2004 Adam Gołębiowski <adamg@pld-linux.org> da52b4c
- new

